## /Auth/Yadis/Yadis.php

Description

The core PHP Yadis implementation.

PHP versions 4 and 5

LICENSE: See the COPYING file included in this distribution.

- author: JanRain, Inc. <openid@janrain.com>
- copyright: 2005-2008 Janrain, Inc.
- license: Apache

Classes

Class | Description
--- | ---
Auth_Yadis_DiscoveryResult | Contains the result of performing Yadis discovery on a URI.
Auth_Yadis_Yadis | This is the core of the PHP Yadis library. This is the only class a user needs to use to perform Yadis discovery. This class performs the discovery AND stores the result of the discovery.

Includes
require_once ("Auth/Yadis/PlainHTTPFetcher.php") (line 20)

Need both fetcher types so we can use the right one based on the presence or absence of CURL.

require_once ("Auth/Yadis/ParseHTML.php") (line 26)

Need this for parsing HTML (looking for META tags).

require_once ("Auth/Yadis/XRDS.php") (line 31)

Need this to parse the XRDS document during Yadis discovery.

require_once ("Auth/Yadis/ParanoidHTTPFetcher.php") (line 21)
Constants
Auth_Yadis_CONTENT_TYPE = 'application/xrds+xml' (line 36)

XRDS (yadis) content type

Auth_Yadis_HEADER_NAME = 'X-XRDS-Location' (line 41)

Yadis header

Functions
Auth_Yadis_getServiceEndpoints (line 136)

Perform the Yadis protocol on the input URL and return an iterable of resulting endpoint objects.

input_url: The URL on which to perform the Yadis protocol

void Auth_Yadis_getServiceEndpoints ( $input_url, $xrds_parse_func, [ $discover_func = null], [ $fetcher = null])

- $input_url
- $xrds_parse_func
- $discover_func
- $fetcher

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2